Bug 959747 - Review Request: jimtcl - A small embeddable Tcl interpreter
Summary: Review Request: jimtcl - A small embeddable Tcl interpreter
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eugene A. Pivnev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-05 09:21 UTC by Markus Mayer
Modified: 2013-05-09 12:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-06 16:14:56 UTC
Type: ---
ti.eugene: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Markus Mayer 2013-05-05 09:21:17 UTC
Spec URL: http://lotharlutz.fedorapeople.org/jimtcl.spec
SRPM URL: http://lotharlutz.fedorapeople.org/jimtcl-0.73-1.fc18.src.rpm
Description: Jim is an opensource small-footprint implementation of the Tcl programming language. It implements a large subset of Tcl and adds new features like references with garbage collection, closures, built-in Object Oriented Programming system, Functional Programming commands, first-class arrays and UTF-8 support.

Fedora Account System Username: lotharlutz

Note: I am aware that no soname is specified. I do have a patch for this, but I am waiting for upstream to clarify the right soname.

Comment 1 Eugene A. Pivnev 2013-05-05 11:25:46 UTC
Do you can attach "so" patch here?

Comment 2 Eugene A. Pivnev 2013-05-05 12:19:54 UTC
Initial pre-review:

* rm -rf $RPM_BUILD_ROOT is not nesessary: http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

* %defattr(-,root,root,-) is not nesessary: http://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

* to avoid double doc folders and other conflicts (/usr/share/doc/jimtcl/ is in both packages - as in main as in -devel) - you can use additional docs right from sources:
...
 %make_install
+rm -rf %{buildroot}/%{_datadir}/doc/%{name}
...
-%doc LICENSE AUTHORS README
-%doc %{_docdir}/%{name}/Tcl.html
+%doc LICENSE AUTHORS README Tcl.html
...
-%doc DEVELOPING
-%doc %{_docdir}/%{name}/README.extensions
+%doc DEVELOPING README.extensions

* If you ship README.extensions and switch all extensions On - to add README.<other_extentions> will be usual

* STYLE file (-devel) will be usual too

* You must fix git snapshot that you use. Best way - to use git tag in github mirror: https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Github

* If you have "so" patch - welcome

* Adding Koji builds will be welcoming too

Comment 3 Markus Mayer 2013-05-05 13:40:54 UTC
Thanks for your comments.

New files (with so-patch included):
Spec URL: http://lotharlutz.fedorapeople.org/jimtcl.spec
SRPM URL: http://lotharlutz.fedorapeople.org/jimtcl-0.73-2.fc18.src.rpm

Koji-builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5332568

Comment 4 Eugene A. Pivnev 2013-05-05 14:14:50 UTC
Ordinary -devel subpackage contains libname.so as symlink to fully versioned libname.so.*:

jimtcl.i686: W: no-soname /usr/lib/libjim.so

This is not a bug, but...

Comment 5 Markus Mayer 2013-05-05 14:19:35 UTC
(In reply to comment #4)
> Ordinary -devel subpackage contains libname.so as symlink to fully versioned
> libname.so.*:
> 
> jimtcl.i686: W: no-soname /usr/lib/libjim.so
> 
> This is not a bug, but...

Is this the output of rpmlint against the latest version? (0.73-2) Because this should be fixed by the so-patch.

I think the symlink will be created by /sbin/ldconfig

Comment 6 Eugene A. Pivnev 2013-05-05 14:23:02 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Ordinary -devel subpackage contains libname.so as symlink to fully versioned
> > libname.so.*:
> > 
> > jimtcl.i686: W: no-soname /usr/lib/libjim.so
> > 
> > This is not a bug, but...
> 
> Is this the output of rpmlint against the latest version? (0.73-2) Because
> this should be fixed by the so-patch.

Yes - fedora-review right from bugreport no.
Look inside resulting rpms.

> I think the symlink will be created by /sbin/ldconfig
No, ldconfig creates nothing.
Ordinary *.so symlink is created by Makefile.

Comment 7 Markus Mayer 2013-05-05 14:34:56 UTC
Hmm, I just issued 'fedora-review -b 959747' and no warning 'jimtcl.i686: W: no-soname /usr/lib/libjim.so' is showed inside the log. Running rpmlint on the scratch builds also does not show the warning.

Comment 8 Eugene A. Pivnev 2013-05-05 15:01:28 UTC
Right now:

bash-4.2$ fedora-review -b 959747; LC_ALL=C date
INFO: Processing bugzilla bug: 959747
...
INFO: Downloading (Source0): https://github.com/msteveb/jimtcl/archive/0.73.tar.gz
WARNING: Cannot download url: https://github.com/msteveb/jimtcl/archive/0.73.tar.gz
...
Sun May  5 19:00:01 MSK 2013

bash-4.2$ grep "libjim.so" 959747-jimtcl/review.txt
jimtcl.i686: W: no-soname /usr/lib/libjim.so
    libjim.so.0
    libjim.so.0
bash-4.2$

BTW - you use wrong Source0 URL.

Comment 9 Eugene A. Pivnev 2013-05-05 15:29:22 UTC
And:
"- incorpporate review remarks" in changelog is not informative.
This bugreport will be closed after some days (after success review).
Then people will be confused - "What remarks? What review?"

Comment 10 Markus Mayer 2013-05-05 20:19:17 UTC
Spec URL: http://lotharlutz.fedorapeople.org/jimtcl.spec
SRPM URL: http://lotharlutz.fedorapeople.org/jimtcl-0.73-3.fc18.src.rpm

- fix source url
- add symlink to library to devel package


Scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5333420
http://koji.fedoraproject.org/koji/taskinfo?taskID=5333409
http://koji.fedoraproject.org/koji/taskinfo?taskID=5333412
http://koji.fedoraproject.org/koji/taskinfo?taskID=5333415

I issued rpmlint on every single rpm form the scratch builds, but no 'W: no-soname ...'. To be honest: I have no idea why you hit this issue.

Comment 11 Eugene A. Pivnev 2013-05-05 20:38:12 UTC
As for me - like "reference" package.
Good job (together :-).

APPROVED

Comment 12 Markus Mayer 2013-05-06 10:10:50 UTC
Thanks Eugene...

Comment 13 Markus Mayer 2013-05-06 10:12:35 UTC
New Package SCM Request
=======================
Package Name: jimtcl
Short Description: A small embeddable Tcl interpreter
Owners: lotharlutz
Branches: f17 f18 f19 el6

Comment 14 Eugene A. Pivnev 2013-05-06 10:45:50 UTC
(In reply to comment #12)
> Thanks Eugene...

"Thanks" is too much for me.
Reviewing quiterss will be enough :-)

Comment 15 Gwyn Ciesla 2013-05-06 12:44:47 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.